Bug 1295154 - Review Request: python-prompt_toolkit - Library for building powerful interactive command lines in Python
Review Request: python-prompt_toolkit - Library for building powerful interac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: 1295103 (view as bug list)
Depends On: 1295152
Blocks: 1295108 1295128
  Show dependency treegraph
 
Reported: 2016-01-02 19:31 EST by Fabio Alessandro Locati
Modified: 2016-01-28 15:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-01-02 19:31:14 EST
Spec URL: https://fale.fedorapeople.org/aws/python-prompt_toolkit.spec
SRPM URL: https://fale.fedorapeople.org/aws/python-prompt_toolkit-0.52-1.fc23.src.rpm
Description: Library for building powerful interactive command lines in Python
Fedora Account System Username: fale
Comment 1 Fabio Alessandro Locati 2016-01-02 19:32:10 EST
*** Bug 1295103 has been marked as a duplicate of this bug. ***
Comment 2 Terje Røsten 2016-01-03 08:56:58 EST
Blockers:

1) Needs wcwidth which is not part for Fedora yet.
2) Why is LICENSE set to LICENSE.txt? 
  Pick the valid and correct license from:
     https://fedoraproject.org/wiki/Licensing:Main
3) Fix rpmlint warning:
    python-prompt_toolkit.src:60: W: setup-not-quiet
4) Include AUTHORS.rst, CHANGELOG & TODO.rst in packages.

Nice to fix:

1) Include the examples in -example subpackage.
2) Ask upstream to include license info in each source file.
3) No need for empty lines between Summary/ License, BuildArch&BuildReq.

Package Review
==============

Legend:[X] = Pass, [!] = Fail, [-] = Not applicable

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 128 files have
     unknown license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package does not own files or directories owned by other packages.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[X]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[X]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: Package requires other packages for directories it uses.
[X]: Package must own all directories that it creates.
[X]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[X]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Macros in Summary, %description expandable at SRPM build time.
[X]: Dist tag is present.
[X]: Package does not contain duplicates in %files.
[X]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[X]: Package is named using only allowed ASCII characters.
[X]: Package does not use a name that already exists.
[X]: Package is not relocatable.
[X]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[X]: File names are valid UTF-8.
[X]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[X]: Package contains BR: python2-devel or python3-devel
[X]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-prompt_toolkit , python3-prompt_toolkit
[X]: Package functions as described.
[-]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[X]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[X]: Reviewer should test that the package builds in mock.
[X]: Buildroot is not present
[X]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[X]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: SourceX is a working URL.
[X]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
[X]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-prompt_toolkit-0.52-1.fc23.noarch.rpm
          python3-prompt_toolkit-0.52-1.fc23.noarch.rpm
          python-prompt_toolkit-0.52-1.fc23.src.rpm
python2-prompt_toolkit.noarch: W: invalid-license LICENSE.txt
python3-prompt_toolkit.noarch: W: invalid-license LICENSE.txt
python-prompt_toolkit.src: W: invalid-license LICENSE.txt
python-prompt_toolkit.src:60: W: setup-not-quiet
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Requires
--------
python2-prompt_toolkit (rpmlib, GLIBC filtered):
    python(abi)
    python-pygments
    python-six
    python-wcwidth

python3-prompt_toolkit (rpmlib, GLIBC filtered):
    python(abi)
    python3-pygments
    python3-six
    python3-wcwidth

Provides
--------
python2-prompt_toolkit:
    python-prompt_toolkit
    python2-prompt_toolkit

python3-prompt_toolkit:
    python3-prompt_toolkit

Source checksums
----------------
https://pypi.python.org/packages/source/p/prompt_toolkit/prompt_toolkit-0.52.tar.gz :
  CHECKSUM(SHA256) this package     : 35b8a34df8dea4cba92222dc1b8700c30ed7a8ba47cf3bc583768c5571a30902
  CHECKSUM(SHA256) upstream package : 35b8a34df8dea4cba92222dc1b8700c30ed7a8ba47cf3bc583768c5571a30902
Comment 3 Fabio Alessandro Locati 2016-01-06 14:39:41 EST
Thanks for the review :)

Blockers:
1) Yeah, it's already blocking this one bug :)
2) Thanks, fixed [0]
3) Thanks, fixed [0]
4) Thanks, fixed [0]

Nice to fix:
1) Thanks, I'll look to add it
2) I'll check the files and I'll fill the bug
3) Done, thanks :)[0]

[0]: https://fale.fedorapeople.org/aws/python-prompt_toolkit.spec
Comment 4 Terje Røsten 2016-01-06 15:35:23 EST
Thanks!

Package python-prompt_toolkit is APPROVED.
Comment 5 Fabio Alessandro Locati 2016-01-06 15:49:24 EST
Thanks a lot :)
Comment 6 Gwyn Ciesla 2016-01-06 15:52:53 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-prompt_toolkit
Comment 7 Fedora Update System 2016-01-07 05:16:26 EST
python-prompt_toolkit-0.52-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6329eab5
Comment 8 Fedora Update System 2016-01-07 05:17:05 EST
python-prompt_toolkit-0.52-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f625ee2ba5
Comment 9 Fedora Update System 2016-01-07 05:17:21 EST
python-prompt_toolkit-0.52-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d0a73e9a0f
Comment 10 Fedora Update System 2016-01-07 05:25:37 EST
python-prompt_toolkit-0.52-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a364f14aa
Comment 11 Terje Røsten 2016-01-08 05:11:57 EST
Hi again,

I see latest prompt_toolkit release is version 0.57:

 https://pypi.python.org/pypi/prompt_toolkit

any reason outdated 0.52 is used here?
Comment 12 Fabio Alessandro Locati 2016-01-08 14:57:34 EST
@Terje: This package has a very rapid release cycle (the 0.55 was release on 03/01/2016, 0.56 on 03/01/2016 - yes, same day - and 0.57 on 04/01/2016). I've noticed that many applications have problems with 0.53+ (it seems like they broke some API between 0.52 and 0.53). I'll work on aws-cli to make it working properly on 0.57. IIRC, mycli required 0.42+ so it's also broken by the 0.53 release. I'll take a look at mycli too to see if I can help to make it work on 0.57 (hopeing it will last as last stable for at least a week).
Comment 13 Terje Røsten 2016-01-08 15:06:22 EST
Ok, I see. 

mycli @ github now requires 0.57:

 https://github.com/dbcli/mycli/commit/32e923c590d46b90e3a4ff2660354f803315867c

A 0.57 release in fedora would be nice :-)

Let's hope API changes slows down.
Comment 14 Fedora Update System 2016-01-08 16:19:22 EST
python-prompt_toolkit-0.52-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d0a73e9a0f
Comment 15 Fedora Update System 2016-01-08 16:24:08 EST
python-prompt_toolkit-0.52-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f625ee2ba5
Comment 16 Fabio Alessandro Locati 2016-01-08 17:16:55 EST
Good point.

I'll update it tomorow since:
- mycli has been upgraded from prompt_toolkit 0.4x to 0.57 without any line of code change then the problem in aws-cli is (at least partially)
- mycli is already been approved, aws-shell has some time before it can be packaged so it can be improved in upstream
Comment 17 Fedora Update System 2016-01-08 18:52:18 EST
python-prompt_toolkit-0.57-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5f48cdcb92
Comment 18 Fedora Update System 2016-01-08 18:52:20 EST
python-prompt_toolkit-0.57-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41f6e461a2
Comment 19 Fedora Update System 2016-01-08 23:26:04 EST
python-prompt_toolkit-0.52-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a364f14aa
Comment 20 Fedora Update System 2016-01-08 23:28:40 EST
python-prompt_toolkit-0.52-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a6329eab5
Comment 21 Fedora Update System 2016-01-09 12:48:08 EST
python-prompt_toolkit-0.57-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41f6e461a2
Comment 22 Fedora Update System 2016-01-09 12:51:14 EST
python-prompt_toolkit-0.57-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5f48cdcb92
Comment 23 Fedora Update System 2016-01-12 05:38:34 EST
python-prompt_toolkit-0.57-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-300412abda
Comment 24 Fedora Update System 2016-01-13 01:51:31 EST
python-prompt_toolkit-0.57-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-300412abda
Comment 25 Fedora Update System 2016-01-23 20:05:07 EST
python-prompt_toolkit-0.57-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-01-28 15:27:27 EST
python-prompt_toolkit-0.57-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.